# Method: accounts.mediationGroups.patch

- [HTTP request](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/patch#body.request_body)
- [Response body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/patch#body.aspect)
- [Examples](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/patch#examples)
- [Try it!](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/patch#try-it)

Update the specified mediation group under the specified AdMob account.

<br />

This method has limited access. If you see a 403 permission denied error, please reach out to your account manager for access.

<br />

### HTTP request

`PATCH https://admob.googleapis.com/v1beta/{mediationGroup.name=accounts/*/mediationGroups/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `mediationGroup.name` | `string` Resource name for this mediation group. Format is: accounts/{publisherId}/mediationGroups/{mediationGroupId} Example: accounts/pub-9876543210987654/mediationGroups/0123456789 |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` List of mediation group fields to be updated. Updates to repeated fields such as items in a list will fully replace the existing value(s) with the new value(s). Updates to individual values in a map can be done by indexing by the key. The following field masks are supported for mediation group updates: - "mediationGroupLines\["{mediation_group_line_id}"\]" clang-format off - "mediationGroupLines\["{mediation_group_line_id}"\].ad_unit_mappings\["{adUnitId}"\]" clang-format on - "mediationGroupLines\["{mediation_group_line_id}"\].cpm_micros" - "mediationGroupLines\["{mediation_group_line_id}"\].cpm_mode" - "mediationGroupLines\["{mediation_group_line_id}"\].state" - "mediationGroupLines\["{mediation_group_line_id}"\].display_name" - "targeting.ad_unit_ids" To update a mediation group with a new mediation group line, use a distinct negative number for the "mediation_group_line_id". For Example: updateMask { paths: "mediationGroupLines\["123456789012345"\].cpm_micros" } This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups#MediationGroup`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups#MediationGroup`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admob.monetization`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).